[Testing Update i686] 2018-06-07 to 17 - GCC 8.1.1, kernels, Firefox, Chromium, KDE Framework, TeX Live

update
testing
manjaro32

#1

This set includes an upstream-built procps-ng, which means a soname bump and rebuild for dependent packages.

Firefox.

KDE Framework.

Firefox and Chromium.

LibreOffice Still.

Tex Live 2018.

Gambas.


Available kernels

Series Version
linux316 3.16.56
linux41 4.1.52
linux44 4.4.138
linux49 4.9.109
linux414 4.14.50

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the “is it ready yet?” poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable. Do keep in mind that x32-stable updates should be less frequent than x32-testing so not every testing update set should need to be moved over.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


#2

Known issues


thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

It looks like this is a packaging conflict which hasn’t been addressed by the upstream package(s). It’s a pretty trivial fix though, simply uninstall engrampa-thunar-plugin:

sudo pacman -Rncs engrampa-thunar-plugin
sudo pacman -Syu

There’s no loss of functionality.



Unable to update XFCE 18. beta, /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)
#3

There’s a lot of flux with the Manjaro package repos so Manjaro package updates may be slow for a while. I can’t clone and build hundreds of repos without some work so I may also have to alter my build setup.


#4

@jonathon: we may create a meta-project and add the packages as submodules.


#5

I’ve started doing that with packages-core. The repo transition for the others isn’t complete yet so I’ll have to wait a little while …


#6

OK. We will see on how we may reuse your work on the other repos also. For now extra and community are still open at github.


#7

…as addendum there is a new flash plugin v30 released for a serious exploit seen in the wild.


#8

I wonder whether I can just drop Flash entirely given how insecure it is… :roll_eyes:


#9

You could…It’s easily installable from Adobe’s website if anyone needs it.


#10

Couldn’t you automate it like firefox-beta-bin-all-localizations Perl script in AUR to download & install it from Adobe’s website? Stick it in AUR since it’s gonna be depreciated over time(long time it seems).


#11

I still need flash to access some of the live wildlife cameras. Many are slowly moving to youtube and HTML5, but others have been running for years in unattended remote locations.


#12

It’s easily installable from Adobe’s website if anyone needs it.


#13

Omitting flash would ruin the “it works out of the box” simplicity. Just saying.

I do understand that @jonathon has limited time and build resources and has to prioritize what is supported. I’m just glad this project is still here.


#14

I spent a lot of time yesterday trying to get FF 60.0.2 built. It failed (despite the build fixes I’ve used for 60 and 60.0.1). I’ll update Flash today.


#15

OK, here we go with another set of Manjaro packages including kernels:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                bash            4.4.019-1            4.4.023-1
                             linux41           4.1.51-2.0             4.1.52-1
                     linux41-headers           4.1.51-2.0             4.1.52-1
                            linux414            4.14.47-1            4.14.48-1
                    linux414-headers            4.14.47-1            4.14.48-1
                             linux44            4.4.135-1            4.4.136-1
                     linux44-headers            4.4.135-1            4.4.136-1
                             linux49            4.9.105-1            4.9.107-2
                     linux49-headers            4.9.105-1            4.9.107-2
                     manjaro-keyring           20171027-2           20180607-1
                      manjaro-system           20180516-1           20180610-1
                           procps-ng           3.3.14-1.2           3.3.15-1.2


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               bison              3.0.4-3            3.0.5-1.0
                                 gcc            8.1.0-1.2   8.1.1+20180531-1.0
                             gcc-ada            8.1.0-1.2   8.1.1+20180531-1.0
                         gcc-fortran            8.1.0-1.2   8.1.1+20180531-1.0
                              gcc-go            8.1.0-1.2   8.1.1+20180531-1.0
                            gcc-libs            8.1.0-1.2   8.1.1+20180531-1.0
                            gcc-objc            8.1.0-1.2   8.1.1+20180531-1.0
                            keyutils             1.5.10-1           1.5.10-2.0
                          libarchive              3.3.2-1            3.3.2-2.0
                             libtool2.4.6+40+g6ca5e224-6.02.4.6+40+g6ca5e224-7.0
                        libunistring            0.9.9-1.0           0.9.10-1.0
                  mkinitcpio-busybox           1.28.3-1.0           1.28.4-1.0
                                nano            2.9.7-1.0            2.9.8-1.0
                         pcmciautils              018-8.0                    -
                            readline            7.0.003-1          7.0.005-1.0
                             pkgconf                    -            1.4.2-2.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            exo-gtk3             0.12.0-1             0.12.0-3
                  linux316-acpi_call             1.1.0-42             1.1.0-43
                linux316-broadcom-wl      6.30.223.271-21      6.30.223.271-22
                linux316-ndiswrapper              1.61-21              1.61-22
               linux316-nvidia-304xx         1:304.137-12         1:304.137-13
               linux316-nvidia-390xx             390.59-1             390.59-2
      linux316-open-vm-tools-modules      2:2013.09.16-41      2:2013.09.16-42
                      linux316-r8168           8.045.08-7           8.045.08-8
                  linux316-rt3562sta        2.4.1.1_r4-21        2.4.1.1_r4-22
                        linux316-spl              0.7.9-1              0.7.9-2
                linux316-vhba-module          20161009-21          20161009-22
   linux316-virtualbox-guest-modules             5.2.12-1             5.2.12-2
    linux316-virtualbox-host-modules             5.2.12-1             5.2.12-2
                        linux316-zfs              0.7.9-1              0.7.9-2
                   linux41-acpi_call             1.1.0-36             1.1.0-37
                 linux41-broadcom-wl      6.30.223.271-17      6.30.223.271-18
                 linux41-ndiswrapper              1.61-17              1.61-18
                linux41-nvidia-304xx         1:304.137-11         1:304.137-12
                linux41-nvidia-340xx            340.106-7            340.107-1
                linux41-nvidia-390xx             390.59-1             390.59-2
       linux41-open-vm-tools-modules      2:2013.09.16-36      2:2013.09.16-37
                       linux41-r8168           8.045.08-7           8.045.08-8
                   linux41-rt3562sta        2.4.1.1_r4-17        2.4.1.1_r4-18
                         linux41-spl              0.7.9-1              0.7.9-2
                 linux41-vhba-module          20161009-17          20161009-18
    linux41-virtualbox-guest-modules             5.2.12-1             5.2.12-2
     linux41-virtualbox-host-modules             5.2.12-1             5.2.12-2
                         linux41-zfs              0.7.9-1              0.7.9-2
                  linux414-acpi_call             1.1.0-40             1.1.0-42
                   linux414-bbswitch               0.8-40               0.8-42
                linux414-broadcom-wl      6.30.223.271-40      6.30.223.271-42
                linux414-ndiswrapper              1.61-40              1.61-42
               linux414-nvidia-304xx         1:304.137-40         1:304.137-42
               linux414-nvidia-340xx           340.106-28            340.107-1
               linux414-nvidia-390xx             390.59-3             390.59-5
                      linux414-r8168          8.045.08-28          8.045.08-30
                  linux414-rt3562sta        2.4.1.1_r4-40        2.4.1.1_r4-42
                        linux414-spl              0.7.9-4              0.7.9-6
                   linux414-tp_smapi              0.41-40              0.41-42
                linux414-vhba-module          20161009-40          20161009-42
   linux414-virtualbox-guest-modules             5.2.12-4             5.2.12-6
    linux414-virtualbox-host-modules             5.2.12-4             5.2.12-6
                        linux414-zfs              0.7.9-4              0.7.9-6
                   linux44-acpi_call             1.1.0-95             1.1.0-96
                 linux44-broadcom-wl      6.30.223.271-65      6.30.223.271-66
                 linux44-ndiswrapper              1.61-63              1.61-64
                linux44-nvidia-304xx         1:304.137-30         1:304.137-31
                linux44-nvidia-340xx           340.106-17            340.107-1
                linux44-nvidia-390xx             390.59-2             390.59-3
                       linux44-r8168          8.045.08-17          8.045.08-18
                   linux44-rt3562sta        2.4.1.1_r4-63        2.4.1.1_r4-64
                         linux44-spl              0.7.9-3              0.7.9-4
                 linux44-vhba-module          20161009-63          20161009-64
    linux44-virtualbox-guest-modules             5.2.12-3             5.2.12-4
     linux44-virtualbox-host-modules             5.2.12-3             5.2.12-4
                         linux44-zfs              0.7.9-3              0.7.9-4
                   linux49-acpi_call             1.1.0-80             1.1.0-82
                    linux49-bbswitch               0.8-80               0.8-82
                 linux49-broadcom-wl      6.30.223.271-80      6.30.223.271-82
                 linux49-ndiswrapper              1.61-78              1.61-80
                linux49-nvidia-304xx         1:304.137-39         1:304.137-41
                linux49-nvidia-340xx           340.106-20            340.107-1
                linux49-nvidia-390xx             390.59-3             390.59-5
                       linux49-r8168          8.045.08-20          8.045.08-22
                   linux49-rt3562sta        2.4.1.1_r4-78        2.4.1.1_r4-80
                         linux49-spl              0.7.9-4              0.7.9-6
                    linux49-tp_smapi              0.41-80              0.41-82
                 linux49-vhba-module          20161009-78          20161009-80
    linux49-virtualbox-guest-modules             5.2.12-4             5.2.12-6
     linux49-virtualbox-host-modules             5.2.12-4             5.2.12-6
                         linux49-zfs              0.7.9-4              0.7.9-6
                   mhwd-nvidia-340xx            340.106-4            340.107-1
                   ndiswrapper-utils              1.61-40              1.61-42
                  nvidia-340xx-utils            340.106-4            340.107-1
                 opencl-nvidia-340xx            340.106-4            340.107-1
                    rt3562sta-common        2.4.1.1_r4-78        2.4.1.1_r4-80
                         thunar-gtk3              1.7.2-4              1.8.0-1
                    xfce4-panel-gtk3             4.13.3-1             4.13.3-2
                 xfce4-settings-gtk3             4.13.2-2             4.13.2-4
                         xfconf-gtk3             4.13.4-3             4.13.4-4
                         flashplugin                    -         30.0.0.113-1
                        pepper-flash                    -         30.0.0.113-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          alsa-tools            1.1.5-1.0                    -
                              ardour             5.12-2.0                    -
                        artwiz-fonts                1.3-9             1.3-10.0
                               aubio              0.4.2-2                    -
                                 cmt               1.16-5                    -
                                dssi              1.1.1-8                    -
                            ecasound           2.9.1-10.0                    -
                      eclipse-common          4.7.3.a-1.0                    -
                         eclipse-cpp          4.7.3.a-1.0                    -
                        eclipse-java          4.7.3.a-1.0                    -
                  eclipse-javascript          4.7.3.a-1.0                    -
                         eclipse-jee          4.7.3.a-1.0                    -
                         eclipse-php          4.7.3.a-1.0                    -
               font-bitstream-speedo              1.0.2-3            1.0.2-4.0
                             freetds          1.00.87-1.0          1.00.91-1.0
                               gajim           0.16.9-1.0                    -
                            hydrogen            0.9.6.1-4                    -
                           hyphen-ro              3.3.6-4                    -
                              ladspa               1.13-6             1.13-7.0
                           libconfig            1.7.2-1.0                    -
                              libidn             1.34-1.0                    -
                               liblo           1:0.29-1.0                    -
                             liblrdf              0.5.0-3                    -
                              libtar             1.2.20-3           1.2.20-4.0
                                lilv             0.22.0-2                    -
                            lua-lpeg              1.0.1-1            1.0.1-2.0
                          lua51-lpeg              1.0.1-1            1.0.1-2.0
                          lua52-lpeg              1.0.1-1            1.0.1-2.0
                                 lv2             1.14.0-2                    -
                           neverball              1.6.0-2                    -
                            nitrogen              1.6.1-1            1.6.1-2.0
                       python-nbxmpp            0.6.3-1.0                    -
                      python2-nbxmpp            0.6.3-1.0                    -
                              qsynth              0.4.3-1                    -
                 qt-assistant-compat              4.6.3-7            4.6.3-8.0
                               radvd               2.17-1                    -
                          rosegarden              17.04-2                    -
                        rpcsvc-proto            1.3.1-1.0              1.4-1.0
                          rpmextract                1.0-7              1.0-8.0
                          rubberband              1.8.1-3                    -
                                 sbc                1.3-1              1.3-2.0
                               sbsms              2.0.2-2            2.0.2-3.0
                                serd             0.22.0-1                    -
                                sord             0.14.0-1                    -
             sound-theme-freedesktop                0.8-2              0.8-3.0
                                 sox             14.4.2-2                    -
                              sratom              0.4.6-1                    -
                                suil              0.8.2-2                    -
                      ttf-cheapskate               2.0-11             2.0-12.0
                     vamp-plugin-sdk                2.6-1                    -
                         xorg-server           1.20.0-5.0           1.20.0-6.0
                  xorg-server-common           1.20.0-5.0           1.20.0-6.0
                   xorg-server-devel           1.20.0-5.0           1.20.0-6.0
                    xorg-server-xdmx           1.20.0-5.0           1.20.0-6.0
                  xorg-server-xephyr           1.20.0-5.0           1.20.0-6.0
                   xorg-server-xnest           1.20.0-5.0           1.20.0-6.0
                    xorg-server-xvfb           1.20.0-5.0           1.20.0-6.0
                xorg-server-xwayland           1.20.0-5.0           1.20.0-6.0
                         egl-wayland                    -             0+23-2.0
                 eglexternalplatform                    -              0+3-2.0
                      jpegexiforient                    -1:20090111.b4f886f-1.0
                       liblastfm-qt4                    -            1.0.9-3.0
                       liblastfm-qt5                    -            1.0.9-3.0
                        libmygpo-qt4                    -            1.1.0-1.0
                        libmygpo-qt5                    -            1.1.0-1.0
                         pcmciautils                    -              018-8.0
            perl-crypt-openssl-guess                    -             0.11-1.0
                        wayland-docs                    -           1.15.0-1.1


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                   deepin-wallpapers         1:20180404-1         1:20180610-1
            manjaro-awesome-settings           20180602-1           20180610-1
         manjaro-bspwm-mate-settings           20180602-1           20180610-1
              manjaro-bspwm-settings           20180602-1           20180610-1
      manjaro-bspwm-settings-minimal           20180602-1           20180610-1
             manjaro-budgie-settings           20180602-1           20180610-1
                manjaro-jwm-settings           20180602-1           20180610-1
               manjaro-lxde-settings           20180602-1           20180610-1
               manjaro-mate-settings           20180602-1           20180610-1
            manjaro-openbox-settings           20180602-1           20180610-1
                           timeshift              v18.4-1               18.4-2
                             xplayer              1.6.1-1              1.8.1-1
           manjaro-lxde-settings-dev                    -           20180610-1
                       steam-devices                    -                0.1-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              arpack            3.5.0-4.0            3.6.0-1.0
                             aws-cli          1.15.24-1.0          1.15.33-1.0
                                calf           0.90.0-2.0           0.90.0-3.0
                               chuck          1.4.0.0-1.0          1.4.0.0-2.0
                           dvdbackup            0.4.2-3.0            0.4.2-4.0
                                dvtm               0.15-3             0.15-4.0
                          gsimplecal                2.1-2              2.1-3.0
                         gtk-chtheme              0.3.1-8            0.3.1-9.0
                                jmol         14.29.15-1.0         14.29.16-1.0
                              kamoso              3.2.4-1                    -
                             kbackup            1.0.1-1.0                    -
                            libiodbc            3.52.12-1          3.52.12-2.0
                               lsdvd             0.17-1.1             0.17-2.0
                          pcsc-tools            1.5.2-3.0            1.5.3-1.0
                                pixz              1.0.6-1            1.0.6-2.0
                             pkgconf            1.4.2-1.0                    -
                        python-boto3           1.7.24-1.0           1.7.33-1.0
                     python-botocore          1.10.24-1.0          1.10.33-1.0
           python-oslo-serialization           2.25.0-1.0           2.26.0-1.0
                       python-stestr            2.0.0-2.0            2.1.0-1.0
                       python2-boto3           1.7.24-1.0           1.7.33-1.0
                    python2-botocore          1.10.24-1.0          1.10.33-1.0
                     python2-cheetah              2.4.4-6            2.4.4-7.0
                   python2-elib-intl              0.0.3-1            0.0.3-2.0
                       python2-gudev              147.2-7            147.2-8.0
                      python2-ipaddr             2.1.11-1           2.1.11-2.0
          python2-oslo-serialization           2.25.0-1.0           2.26.0-1.0
                       python2-pykka              1.2.0-1            1.2.0-2.0
                      python2-stestr            2.0.0-2.0            2.1.0-1.0
                         qcachegrind              0.7.4-6                    -
                       qmltermwidget              0.1.0-2            0.1.0-3.0
                                qwt5              5.2.3-4            5.2.3-5.0
                          radeontool              1.6.3-2            1.6.3-3.0
                        rdiff-backup              1.2.8-7            1.2.8-8.0
                     recordmydesktop            0.3.8.1-7          0.3.8.1-8.0
                            rt-tests              1.1-3.0              1.1-4.0
                               rtirq         20180209-2.0         20180209-3.0
                              rubber                1.4-1              1.4-2.0
                sane-gt68xx-firmware                1.0-7              1.0-8.0
                               sbxkb              0.7.6-2            0.7.6-3.0
                                  sc               7.16-6             7.16-7.0
                               shake                1.0-1              1.0-2.0
                             shuffle                1.5-5              1.5-6.0
                                simh              3.9.0-2            3.9.0-3.0
                         slimevolley              2.4.2-3            2.4.2-4.0
                             solfege           3.22.2-4.0           3.22.2-5.0
                           spambayes              1.1a6-5            1.1a6-6.0
                           squeak-vm        4.10.2.2614-3      4.10.2.2614-4.0
                              stella            5.1.1-1.0            5.1.2-1.0
                               sweep            0.9.3-4.0            0.9.3-5.0
                         swh-plugins           0.4.17-2.0           0.4.17-3.0
                         tap-plugins            1.0.0-2.0            1.0.0-3.0
                         urxvt-perls                2.2-1              2.2-2.0
                  vamp-aubio-plugins            0.5.1-2.0            0.5.1-3.0
                         vco-plugins            0.3.0-4.0            0.3.0-5.0
                           vim-vital    3113.982e0bf3-2.0  1:3113.982e0bf3-1.0
                                vmpk           0.6.2a-5.0           0.6.2a-6.0
                         wah-plugins            0.1.0-4.0            0.1.0-5.0
                              acpica                    -         20180531-2.0
                  appmenu-gtk-module                    -           0.6.94-1.0
                           arrayfire                    -            3.6.0-3.0
                        avldrums.lv2                    -            0.3.0-1.0
                                 bat                    -            0.4.1-2.0
                          blinksocks                    -            3.2.1-1.0
                            blop.lv2                    -            1.0.0-3.0
                           check_api                    -            1.1.4-1.0
                            convolv2                    -            0.6.0-2.0
                               cunit                    -            2.1.3-2.0
                             diffpdf                    -          2.1.3.1-1.0
                          eteroj.lv2                    -            0.4.0-4.0
                            fomp.lv2                    -            1.0.0-3.0
                         gnome-latex                    -           3.28.1-1.0
                                  gx                    -           0.13.0-2.0
                               gx-go                    -            1.7.0-1.0
                                  hy                    -           0.14.0-2.0
                           hyphen-ro                    -            3.3.6-5.1
                             kakoune                    -       2018.04.13-2.0
                     liri-calculator                    -            1.1.0-1.0
                           liri-text                    -            0.3.0-1.0
                             mda.lv2                    -            1.2.2-3.0
                     midi_matrix.lv2                    -           0.20.0-2.0
                      mongo-c-driver                    -           1.10.1-1.0
                           moony.lv2                    -           0.22.0-2.0
                            openblas                    -            0.3.0-1.0
                               osmid                    -            0.6.1-2.0
                       otf-cormorant                    -            3.504-1.0
                       otf-fira-code                    -            1.205-2.0
                    otf-latin-modern                    -            2.004-3.0
                otf-latinmodern-math                    -            1.959-3.0
                      pacman-contrib                    -            1.0.0-2.0
                         patchmatrix                    -           0.12.0-4.0
           perl-parallel-forkmanager                    -             1.19-2.0
                 perl-test-more-utf8                    -             0.05-1.0
                              polyml                    -            5.7.1-2.0
                    python-aniso8601                    -            3.0.0-1.0
                      python-apispec                    -           0.37.1-1.0
                       python-cftime                    -            1.0.0-1.0
                  python-factory-boy                    -           2.11.1-1.0
                     python-flasgger                    -            0.8.3-1.0
                    python-flask-jwt                    -            0.3.2-1.0
                python-flask-restful                    -            0.3.6-1.0
                         python-flex                    -           6.13.2-1.0
                       python-invoke                    -            1.0.0-1.0
                     python-json-rpc                    -           1.11.0-2.0
              python-language-server                    -           0.19.0-1.0
                  python-marshmallow                    -           2.15.3-1.0
                  python-mongoengine                    -           0.15.1-1.0
                     python-objgraph                    -            3.4.0-1.0
                    python-patchwork                    -            1.0.0-1.0
                   python-pydocstyle                    -            2.1.1-2.0
                 python-pysimplesoap                    -           1.16.2-1.0
              python-pytest-randomly                    -            1.2.3-1.0
                 python-pytest-sugar                    -            0.9.1-1.0
                       python-pytoml                    -           0.1.15-1.0
                        python-pywal                    -            3.0.1-1.0
                python-tornado-redis                    -            2.5.0-1.0
               python-validate-email                    -              1.3-1.0
                   python2-aniso8601                    -            3.0.0-1.0
                     python2-apispec                    -           0.37.1-1.0
                      python2-cftime                    -            1.0.0-1.0
                 python2-factory-boy                    -           2.11.1-1.0
                    python2-flasgger                    -            0.8.3-1.0
                   python2-flask-jwt                    -            0.3.2-1.0
               python2-flask-restful                    -            0.3.6-1.0
                        python2-flex                    -           6.13.2-1.0
                      python2-invoke                    -            1.0.0-1.0
                    python2-json-rpc                    -           1.11.0-2.0
                    python2-keyutils                    -              0.5-2.0
             python2-language-server                    -           0.19.0-1.0
                 python2-marshmallow                    -           2.15.3-1.0
                 python2-mongoengine                    -           0.15.1-1.0
                    python2-objgraph                    -            3.4.0-1.0
                  python2-pydocstyle                    -            2.1.1-2.0
                python2-pysimplesoap                    -           1.16.2-1.0
             python2-pytest-randomly                    -            1.2.3-1.0
                python2-pytest-sugar                    -            0.9.1-1.0
                      python2-pytoml                    -           0.1.15-1.0
                       python2-tftpy                    -            0.7.0-1.0
               python2-tornado-redis                    -            2.5.0-1.0
              python2-validate-email                    -              1.3-1.0
                        sherlock.lv2                    -           0.14.0-4.0
                          spectmorph                    -            0.4.0-3.0
                       ttf-cormorant                    -            3.504-1.0
                       ttf-fira-code                    -            1.205-2.0
                              vm.lv2                    -            0.4.0-4.0

Sync and clean:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            iproute2           4.16.0-1.0           4.17.0-1.0
                          libsystemd          238.133-1.0          238.133-2.0
                             systemd          238.133-1.0          238.133-2.0
                  systemd-sysvcompat          238.133-1.0          238.133-2.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         egl-wayland            0+23-1.01                    -
                 eglexternalplatform             0+3-1.01                    -
                                 git          2.17.1-0.01                    -
                              libgdm           3.28.1-1.1                    -
                               ndctl             60.3-1.0                    -


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                       python-django          1.11.13-1.0            2.0.6-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                rust         1:1.26.1-1.0         1:1.26.2-1.0
                           rust-docs         1:1.26.1-1.0         1:1.26.2-1.0
                                tuna         1:0.13.1-6.0         1:0.13.1-7.0
                         x42-plugins         20180320-1.0         20180320-2.0

#16

Uh-oh! Can’t boot after upgrading unstable:

systemd-tmpfiles: error while loading shared libraries: libjson-c.so.3 :cannot open shared object file: No such file or directory
/usr/lib/systemd/systemd-udev: error while loding shared libraries: libjson-c.so.3: cannot open object file: No such file or directory
.
.
ERROR: device ‘UUID=…(full UUID omitted by me)…’ not found. Skipping fsck.
mount: /new_root: can’t find UUID=…(full UUID omitted by me)
You are now being dropped into an emergency shell.
sh: can’t access tty: job control turned off
[rootfs ]#

HELP!!! Any suggestions for recovery from here would be GREATLY appreciated.


#17

Chroot from another system and try to update again. I got it today with x86_64, I guess systemd update made the system crash.


#18

Thanks…what do I have to do boot from a live usb?


#19

manjaro-chroot -a usually works, then pacman -Syyu and mkinitcpio -P.


#20

…from the [rootfs ]# prompt on the broke system or do I need to boot from a live/install image & run it from terminal?